# PeripheryPaymentsWithFeeExtended

### Functions <a href="#functions" id="functions"></a>

#### unwrapWSEIWithFee <a href="#unwrapwseiwithfee" id="unwrapwseiwithfee"></a>

Unwraps the contract's WSEI balance and sends it to msg.sender as SEI, with a percentage between 0 (exclusive), and 1 (inclusive) going to feeRecipient

*The amountMinimum parameter prevents malicious contracts from stealing WSEI from users.*

```solidity
function unwrapWSEIWithFee(uint256 amountMinimum, uint256 feeBips, address feeRecipient) external payable override;
```

#### sweepTokenWithFee <a href="#sweeptokenwithfee" id="sweeptokenwithfee"></a>

Transfers the full amount of a token held by this contract to msg.sender, with a percentage between 0 (exclusive) and 1 (inclusive) going to feeRecipient

*The amountMinimum parameter prevents malicious contracts from stealing the token from users*

```solidity
function sweepTokenWithFee(address token, uint256 amountMinimum, uint256 feeBips, address feeRecipient)
    external
    payable
    override;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/smart-router/base/peripherypaymentswithfeeextended.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
